<?php

namespace Source\Controllers;

use League\Plates\Engine;

class DocNFSe
{
    /**
     * @var Engine
     */
    private $view;

    /**
     * Account constructor.
     */
    public function __construct($router)
    {
        $this->view = Engine::create(__DIR__ . "/../../views/theme", "php");
        $this->view->addData(["router" => $router]);
    }

    /**
     *
     */
    public function index(): void
    {
        echo $this->view->render("doc_nfse/index", [
            "title" => "Download NFSe | " . SITE['name']
        ]);
    }
}
